apiVersion: apps/v1
kind: Deployment
metadata:
  name: __APP_NAME__-frontend
  labels:
    app: __APP_NAME__-frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: __APP_NAME__-frontend

  # Pod template
  template:
    metadata:
      labels:
        app: __APP_NAME__-frontend
    spec:
      containers:
      - env:
        envFrom:
        - configMapRef:
            name: __APP_NAME__-staging
        name: __APP_NAME__-frontend
        image: __IMAGE__
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 80
          name: 80tcp02
          protocol: TCP
        volumeMounts:
        - mountPath: usr/share/nginx/html/public/assets/media
          name: storage
          subPath: frontend_storage-media
      volumes:
      - name: storage
        persistentVolumeClaim:
          claimName: __APP_NAME__
      imagePullSecrets:
      - name: raci
---
apiVersion: v1
kind: Service
metadata:
  name: __APP_NAME__-frontend
  labels:
    app: __APP_NAME__-frontend
spec:
  ports:
  - port: 80
    targetPort: 80
    protocol: TCP
    name: http
  selector:
    app: __APP_NAME__-frontend
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: nginx
  name: __APP_NAME__-frontend
  namespace: __APP_NAME__-staging
spec:
  rules:
  - host: __APP_NAME__.raci.applyit.lv
    http:
      paths:
      - backend:
          serviceName: __APP_NAME__-frontend
          servicePort: 80
        path: /
  # - host: __APP_NAME__-api.racin.applyit.lv
  #   http:
  #     paths:
  #     - backend:
  #         serviceName: __APP_NAME__-frontend
  #         servicePort: 80
  #       path: /
